Search documentation of bb

# BB.Error.Hardware.BusError exception (bb v0.17.0)

Copy Markdown View Source

Communication bus error (I2C, serial, etc.).

Raised when there's a low-level bus communication failure.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Hardware.BusError` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Hardware.BusError{
      __exception__: true,
      address: term(),
      bread_crumbs: term(),
      bus: term(),
      class: term(),
      operation: term(),
      path: term(),
      reason: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Hardware.BusError` without raising it.

## Keys

- :bus
- :address
- :operation
- :reason